org.modeshape.sequencer.ddl

## Class StandardDdlLexicon

- java.lang.Object
- - org.modeshape.sequencer.ddl.StandardDdlLexicon

- Direct Known Subclasses:
    DerbyDdlLexicon, MySqlDdlLexicon, OracleDdlLexicon, PostgresDdlLexicon, TeiidDdlLexicon

      public class StandardDdlLexicon
      extends Object

  Lexicon for DDL concepts.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StandardDdlLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL_PRIVILEGES`
    `static String` | `CHECK_SEARCH_CONDITION`
    `static String` | `COLLATION_CHARACTER_SET_NAME`
    `static String` | `COLLATION_NAME`
    `static String` | `COLLATION_SOURCE`
    `static String` | `COLUMN_ATTRIBUTE`
    `static String` | `CONSTRAINT_TYPE`
    `static String` | `CREATE_VIEW_OPTION_CLAUSE`
    `static String` | `CREATE_VIEW_QUERY_EXPRESSION`
    `static String` | `DATATYPE_LENGTH`
    `static String` | `DATATYPE_NAME`
    `static String` | `DATATYPE_PRECISION`
    `static String` | `DATATYPE_SCALE`
    `static String` | `DDL_EXPRESSION`
    `static String` | `DDL_LENGTH`
    `static String` | `DDL_ORIGINAL_EXPRESSION`
    `static String` | `DDL_PROBLEM`
    `static String` | `DDL_START_CHAR_INDEX`
    `static String` | `DDL_START_COLUMN_NUMBER`
    `static String` | `DDL_START_LINE_NUMBER`
    `static String` | `DEFAULT_ID_CURRENT_USER`
    `static String` | `DEFAULT_ID_DATETIME`
    `static String` | `DEFAULT_ID_LITERAL`
    `static String` | `DEFAULT_ID_NULL`
    `static String` | `DEFAULT_ID_SESSION_USER`
    `static String` | `DEFAULT_ID_SYSTEM_USER`
    `static String` | `DEFAULT_ID_USER`
    `static String` | `DEFAULT_OPTION`
    `static String` | `DEFAULT_PRECISION`
    `static String` | `DEFAULT_VALUE`
    `static String` | `DEFERRABLE`
    `static String` | `DROP_BEHAVIOR`
    `static String` | `DROP_OPTION`
    `static String` | `EXISTING_NAME`
    `static String` | `GRANT_PRIVILEGE`
    `static String` | `GRANTEE`
    `static String` | `MESSAGE`
    `static String` | `NEW_NAME`
    `static String` | `NULLABLE`
    `static String` | `ON_COMMIT_VALUE`
    `static String` | `OPTION`
    `static String` | `PAD_ATTRIBUTE`
    `static String` | `PAD_ATTRIBUTE_NO_PAD`
    `static String` | `PAD_ATTRIBUTE_PAD` value constraints
    `static String` | `PARSER_ID`
    `static String` | `PROBLEM_LEVEL`
    `static String` | `PROPERTY_VALUE`
    `static String` | `SOURCE_CHARACTER_SET_NAME`
    `static String` | `SQL`
    `static String` | `STATEMENTS_CONTAINER`
    `static String` | `TARGET_CHARACTER_SET_NAME`
    `static String` | `TEMPORARY`
    `static String` | `TYPE`
    `static String` | `TYPE_ADD_COLUMN_DEFINITION`
    `static String` | `TYPE_ADD_TABLE_CONSTRAINT_DEFINITION`
    `static String` | `TYPE_ALTER_COLUMN_DEFINITION`
    `static String` | `TYPE_ALTER_DOMAIN_STATEMENT`
    `static String` | `TYPE_ALTER_TABLE_STATEMENT`
    `static String` | `TYPE_ALTERABLE`
    `static String` | `TYPE_ASSERTION_OPERAND`
    `static String` | `TYPE_CHARACTER_SET_OPERAND`
    `static String` | `TYPE_CLAUSE`
    `static String` | `TYPE_COLLATION_OPERAND`
    `static String` | `TYPE_COLUMN_DEFINITION`
    `static String` | `TYPE_COLUMN_OPERAND`
    `static String` | `TYPE_COLUMN_REFERENCE`
    `static String` | `TYPE_CONSTRAINT_ATTRIBUTE`
    `static String` | `TYPE_CREATE_ASSERTION_STATEMENT`
    `static String` | `TYPE_CREATE_CHARACTER_SET_STATEMENT`
    `static String` | `TYPE_CREATE_COLLATION_STATEMENT`
    `static String` | `TYPE_CREATE_DOMAIN_STATEMENT`
    `static String` | `TYPE_CREATE_SCHEMA_STATEMENT`
    `static String` | `TYPE_CREATE_TABLE_STATEMENT`
    `static String` | `TYPE_CREATE_TRANSLATION_STATEMENT`
    `static String` | `TYPE_CREATE_VIEW_STATEMENT`
    `static String` | `TYPE_CREATEABLE`
    `static String` | `TYPE_DOMAIN_CONSTRAINT`
    `static String` | `TYPE_DOMAIN_OPERAND`
    `static String` | `TYPE_DROP_ASSERTION_STATEMENT`
    `static String` | `TYPE_DROP_CHARACTER_SET_STATEMENT`
    `static String` | `TYPE_DROP_COLLATION_STATEMENT`
    `static String` | `TYPE_DROP_COLUMN_DEFINITION`
    `static String` | `TYPE_DROP_DOMAIN_STATEMENT`
    `static String` | `TYPE_DROP_OPTION`
    `static String` | `TYPE_DROP_SCHEMA_STATEMENT`
    `static String` | `TYPE_DROP_TABLE_CONSTRAINT_DEFINITION`
    `static String` | `TYPE_DROP_TABLE_STATEMENT`
    `static String` | `TYPE_DROP_TRANSLATION_STATEMENT`
    `static String` | `TYPE_DROP_VIEW_STATEMENT`
    `static String` | `TYPE_DROPPABLE`
    `static String` | `TYPE_FK_COLUMN_REFERENCE`
    `static String` | `TYPE_GRANT_ON_CHARACTER_SET_STATEMENT`
    `static String` | `TYPE_GRANT_ON_COLLATION_STATEMENT`
    `static String` | `TYPE_GRANT_ON_DOMAIN_STATEMENT`
    `static String` | `TYPE_GRANT_ON_TABLE_STATEMENT`
    `static String` | `TYPE_GRANT_ON_TRANSLATION_STATEMENT`
    `static String` | `TYPE_GRANT_STATEMENT`
    `static String` | `TYPE_GRANTABLE`
    `static String` | `TYPE_INSERT_STATEMENT`
    `static String` | `TYPE_INSERTABLE`
    `static String` | `TYPE_MISSING_TERMINATOR`
    `static String` | `TYPE_OPERAND`
    `static String` | `TYPE_OPERATION`
    `static String` | `TYPE_PROBLEM`
    `static String` | `TYPE_REFERENCE_OPERAND`
    `static String` | `TYPE_REVOKABLE`
    `static String` | `TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT`
    `static String` | `TYPE_REVOKE_ON_COLLATION_STATEMENT`
    `static String` | `TYPE_REVOKE_ON_DOMAIN_STATEMENT`
    `static String` | `TYPE_REVOKE_ON_TABLE_STATEMENT`
    `static String` | `TYPE_REVOKE_ON_TRANSLATION_STATEMENT`
    `static String` | `TYPE_REVOKE_STATEMENT`
    `static String` | `TYPE_SCHEMA_OPERAND`
    `static String` | `TYPE_SET_STATEMENT`
    `static String` | `TYPE_SETTABLE`
    `static String` | `TYPE_SIMPLE_PROPERTY`
    `static String` | `TYPE_STATEMENT`
    `static String` | `TYPE_STATEMENT_OPTION`
    `static String` | `TYPE_TABLE_CONSTRAINT`
    `static String` | `TYPE_TABLE_CONSTRAINT_OPERAND`
    `static String` | `TYPE_TABLE_OPERAND`
    `static String` | `TYPE_TABLE_REFERENCE`
    `static String` | `TYPE_TRANSLATION_OPERAND`
    `static String` | `TYPE_UNKNOWN_STATEMENT`
    `static String` | `TYPE_VIEW_OPERAND`
    `static String` | `VALUE`
    `static String` | `WITH_GRANT_OPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardDdlLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARSER_ID

          public static final String PARSER_ID

      See Also:
        Constant Field Values

    - #### STATEMENTS_CONTAINER

          public static final String STATEMENTS_CONTAINER

      See Also:
        Constant Field Values

    - #### TYPE_MISSING_TERMINATOR

          public static final String TYPE_MISSING_TERMINATOR

      See Also:
        Constant Field Values

    - #### TYPE_UNKNOWN_STATEMENT

          public static final String TYPE_UNKNOWN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_OPERATION

          public static final String TYPE_OPERATION

      See Also:
        Constant Field Values

    - #### TYPE_OPERAND

          public static final String TYPE_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_STATEMENT

          public static final String TYPE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATEABLE

          public static final String TYPE_CREATEABLE

      See Also:
        Constant Field Values

    - #### TYPE_ALTERABLE

          public static final String TYPE_ALTERABLE

      See Also:
        Constant Field Values

    - #### TYPE_DROPPABLE

          public static final String TYPE_DROPPABLE

      See Also:
        Constant Field Values

    - #### TYPE_INSERTABLE

          public static final String TYPE_INSERTABLE

      See Also:
        Constant Field Values

    - #### TYPE_SETTABLE

          public static final String TYPE_SETTABLE

      See Also:
        Constant Field Values

    - #### TYPE_GRANTABLE

          public static final String TYPE_GRANTABLE

      See Also:
        Constant Field Values

    - #### TYPE_REVOKABLE

          public static final String TYPE_REVOKABLE

      See Also:
        Constant Field Values

    - #### TYPE_SCHEMA_OPERAND

          public static final String TYPE_SCHEMA_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_OPERAND

          public static final String TYPE_TABLE_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_DOMAIN_OPERAND

          public static final String TYPE_DOMAIN_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_VIEW_OPERAND

          public static final String TYPE_VIEW_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_ASSERTION_OPERAND

          public static final String TYPE_ASSERTION_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_CHARACTER_SET_OPERAND

          public static final String TYPE_CHARACTER_SET_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_COLLATION_OPERAND

          public static final String TYPE_COLLATION_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_TRANSLATION_OPERAND

          public static final String TYPE_TRANSLATION_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_COLUMN_OPERAND

          public static final String TYPE_COLUMN_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_CONSTRAINT_OPERAND

          public static final String TYPE_TABLE_CONSTRAINT_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_REFERENCE_OPERAND

          public static final String TYPE_REFERENCE_OPERAND

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TABLE_STATEMENT

          public static final String TYPE_CREATE_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SCHEMA_STATEMENT

          public static final String TYPE_CREATE_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_VIEW_STATEMENT

          public static final String TYPE_CREATE_VIEW_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_DOMAIN_STATEMENT

          public static final String TYPE_CREATE_DOMAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_ASSERTION_STATEMENT

          public static final String TYPE_CREATE_ASSERTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_CHARACTER_SET_STATEMENT

          public static final String TYPE_CREATE_CHARACTER_SET_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_COLLATION_STATEMENT

          public static final String TYPE_CREATE_COLLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TRANSLATION_STATEMENT

          public static final String TYPE_CREATE_TRANSLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TABLE_STATEMENT

          public static final String TYPE_ALTER_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_DOMAIN_STATEMENT

          public static final String TYPE_ALTER_DOMAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_STATEMENT

          public static final String TYPE_GRANT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_TABLE_STATEMENT

          public static final String TYPE_GRANT_ON_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_DOMAIN_STATEMENT

          public static final String TYPE_GRANT_ON_DOMAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_COLLATION_STATEMENT

          public static final String TYPE_GRANT_ON_COLLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_CHARACTER_SET_STATEMENT

          public static final String TYPE_GRANT_ON_CHARACTER_SET_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_TRANSLATION_STATEMENT

          public static final String TYPE_GRANT_ON_TRANSLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_STATEMENT

          public static final String TYPE_REVOKE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_ON_TABLE_STATEMENT

          public static final String TYPE_REVOKE_ON_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_ON_DOMAIN_STATEMENT

          public static final String TYPE_REVOKE_ON_DOMAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_ON_COLLATION_STATEMENT

          public static final String TYPE_REVOKE_ON_COLLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT

          public static final String TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REVOKE_ON_TRANSLATION_STATEMENT

          public static final String TYPE_REVOKE_ON_TRANSLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_SET_STATEMENT

          public static final String TYPE_SET_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_INSERT_STATEMENT

          public static final String TYPE_INSERT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_SCHEMA_STATEMENT

          public static final String TYPE_DROP_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TABLE_STATEMENT

          public static final String TYPE_DROP_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_VIEW_STATEMENT

          public static final String TYPE_DROP_VIEW_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_DOMAIN_STATEMENT

          public static final String TYPE_DROP_DOMAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_CHARACTER_SET_STATEMENT

          public static final String TYPE_DROP_CHARACTER_SET_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_COLLATION_STATEMENT

          public static final String TYPE_DROP_COLLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TRANSLATION_STATEMENT

          public static final String TYPE_DROP_TRANSLATION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_ASSERTION_STATEMENT

          public static final String TYPE_DROP_ASSERTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_COLUMN_DEFINITION

          public static final String TYPE_DROP_COLUMN_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_COLUMN_DEFINITION

          public static final String TYPE_ALTER_COLUMN_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_ADD_COLUMN_DEFINITION

          public static final String TYPE_ADD_COLUMN_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TABLE_CONSTRAINT_DEFINITION

          public static final String TYPE_DROP_TABLE_CONSTRAINT_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_ADD_TABLE_CONSTRAINT_DEFINITION

          public static final String TYPE_ADD_TABLE_CONSTRAINT_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_PROBLEM

          public static final String TYPE_PROBLEM

      See Also:
        Constant Field Values

    - #### TYPE_COLUMN_DEFINITION

          public static final String TYPE_COLUMN_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_COLUMN_REFERENCE

          public static final String TYPE_COLUMN_REFERENCE

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_CONSTRAINT

          public static final String TYPE_TABLE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### TYPE_STATEMENT_OPTION

          public static final String TYPE_STATEMENT_OPTION

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_REFERENCE

          public static final String TYPE_TABLE_REFERENCE

      See Also:
        Constant Field Values

    - #### TYPE_FK_COLUMN_REFERENCE

          public static final String TYPE_FK_COLUMN_REFERENCE

      See Also:
        Constant Field Values

    - #### TYPE_CLAUSE

          public static final String TYPE_CLAUSE

      See Also:
        Constant Field Values

    - #### TYPE_DOMAIN_CONSTRAINT

          public static final String TYPE_DOMAIN_CONSTRAINT

      See Also:
        Constant Field Values

    - #### TYPE_SIMPLE_PROPERTY

          public static final String TYPE_SIMPLE_PROPERTY

      See Also:
        Constant Field Values

    - #### DDL_EXPRESSION

          public static final String DDL_EXPRESSION

      See Also:
        Constant Field Values

    - #### DDL_ORIGINAL_EXPRESSION

          public static final String DDL_ORIGINAL_EXPRESSION

      See Also:
        Constant Field Values

    - #### DDL_START_LINE_NUMBER

          public static final String DDL_START_LINE_NUMBER

      See Also:
        Constant Field Values

    - #### DDL_START_COLUMN_NUMBER

          public static final String DDL_START_COLUMN_NUMBER

      See Also:
        Constant Field Values

    - #### DDL_START_CHAR_INDEX

          public static final String DDL_START_CHAR_INDEX

      See Also:
        Constant Field Values

    - #### DDL_PROBLEM

          public static final String DDL_PROBLEM

      See Also:
        Constant Field Values

    - #### DDL_LENGTH

          public static final String DDL_LENGTH

      See Also:
        Constant Field Values

    - #### OPTION

          public static final String OPTION

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### NEW_NAME

          public static final String NEW_NAME

      See Also:
        Constant Field Values

    - #### SQL

          public static final String SQL

      See Also:
        Constant Field Values

    - #### TEMPORARY

          public static final String TEMPORARY

      See Also:
        Constant Field Values

    - #### ON_COMMIT_VALUE

          public static final String ON_COMMIT_VALUE

      See Also:
        Constant Field Values

    - #### NULLABLE

          public static final String NULLABLE

      See Also:
        Constant Field Values

    - #### DEFAULT_OPTION

          public static final String DEFAULT_OPTION

      See Also:
        Constant Field Values

    - #### COLLATION_NAME

          public static final String COLLATION_NAME

      See Also:
        Constant Field Values

    - #### CONSTRAINT_TYPE

          public static final String CONSTRAINT_TYPE

      See Also:
        Constant Field Values

    - #### DEFERRABLE

          public static final String DEFERRABLE

      See Also:
        Constant Field Values

    - #### CHECK_SEARCH_CONDITION

          public static final String CHECK_SEARCH_CONDITION

      See Also:
        Constant Field Values

    - #### DATATYPE_NAME

          public static final String DATATYPE_NAME

      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH

          public static final String DATATYPE_LENGTH

      See Also:
        Constant Field Values

    - #### DATATYPE_PRECISION

          public static final String DATATYPE_PRECISION

      See Also:
        Constant Field Values

    - #### DATATYPE_SCALE

          public static final String DATATYPE_SCALE

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE

          public static final String DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_PRECISION

          public static final String DEFAULT_PRECISION

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### DROP_BEHAVIOR

          public static final String DROP_BEHAVIOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE

          public static final String PROPERTY_VALUE

      See Also:
        Constant Field Values

    - #### PROBLEM_LEVEL

          public static final String PROBLEM_LEVEL

      See Also:
        Constant Field Values

    - #### GRANT_PRIVILEGE

          public static final String GRANT_PRIVILEGE

      See Also:
        Constant Field Values

    - #### ALL_PRIVILEGES

          public static final String ALL_PRIVILEGES

      See Also:
        Constant Field Values

    - #### WITH_GRANT_OPTION

          public static final String WITH_GRANT_OPTION

      See Also:
        Constant Field Values

    - #### GRANTEE

          public static final String GRANTEE

      See Also:
        Constant Field Values

    - #### CREATE_VIEW_QUERY_EXPRESSION

          public static final String CREATE_VIEW_QUERY_EXPRESSION

      See Also:
        Constant Field Values

    - #### CREATE_VIEW_OPTION_CLAUSE

          public static final String CREATE_VIEW_OPTION_CLAUSE

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final String MESSAGE

      See Also:
        Constant Field Values

    - #### EXISTING_NAME

          public static final String EXISTING_NAME

      See Also:
        Constant Field Values

    - #### COLLATION_CHARACTER_SET_NAME

          public static final String COLLATION_CHARACTER_SET_NAME

      See Also:
        Constant Field Values

    - #### COLLATION_SOURCE

          public static final String COLLATION_SOURCE

      See Also:
        Constant Field Values

    - #### PAD_ATTRIBUTE

          public static final String PAD_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SOURCE_CHARACTER_SET_NAME

          public static final String SOURCE_CHARACTER_SET_NAME

      See Also:
        Constant Field Values

    - #### TARGET_CHARACTER_SET_NAME

          public static final String TARGET_CHARACTER_SET_NAME

      See Also:
        Constant Field Values

    - #### DROP_OPTION

          public static final String DROP_OPTION

      See Also:
        Constant Field Values

    - #### COLUMN_ATTRIBUTE

          public static final String COLUMN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### PAD_ATTRIBUTE_PAD

          public static final String PAD_ATTRIBUTE_PAD

      value constraints
      See Also:
        Constant Field Values

    - #### PAD_ATTRIBUTE_NO_PAD

          public static final String PAD_ATTRIBUTE_NO_PAD

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_LITERAL

          public static final String DEFAULT_ID_LITERAL

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_DATETIME

          public static final String DEFAULT_ID_DATETIME

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_USER

          public static final String DEFAULT_ID_USER

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_CURRENT_USER

          public static final String DEFAULT_ID_CURRENT_USER

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_SESSION_USER

          public static final String DEFAULT_ID_SESSION_USER

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_SYSTEM_USER

          public static final String DEFAULT_ID_SYSTEM_USER

      See Also:
        Constant Field Values

    - #### DEFAULT_ID_NULL

          public static final String DEFAULT_ID_NULL

      See Also:
        Constant Field Values

    - #### TYPE_DROP_OPTION

          public static final String TYPE_DROP_OPTION

      See Also:
        Constant Field Values

    - #### TYPE_CONSTRAINT_ATTRIBUTE

          public static final String TYPE_CONSTRAINT_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardDdlLexicon

          public StandardDdlLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.